<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'add-custom-field-option'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'label'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.generic.label.code' | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'code'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.color.label' | translate
      }}</label>
      <sqtm-core-color-picker-select-field
        class="option-color-badge m-t-5"
        [color]="color"
        (colorChanged)="changeColor($event)"
      >
      </sqtm-core-color-picker-select-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
